Page 1

The High Post A Publication of Greater Latrobe Senior High School

April 2014

highpostonline.com

Volume 91; Issue 11

Students Learn the Basics of Working in Culinary

Continuing the Family Legacy: Chad Kissell Heidi Thorne stays Calm Cool and Collected Mother’s Tale of Her Daughter’s Battle through Life

Traveling to Our Nation’s Capital to Remember Saint Vincent Basilica’s pews were filled with audience members enjoying the first performance at the Classics Concert. Greater Latrobe’s choral department led by Ms. Surden featured the high school’s choirs on Sunday, March 23. Chamber choir member, Travis Grossman is featured as a soloist during “Roll, Jordan, Roll.”

Enjoying a Week Off for Spring Break


2• News

The High Post

Greater Latrobe Senior High School

131 High School Road Latrobe, PA 15650

The High Post

GLHS Annual Blood Drive Latrobe Makes a Difference

April 2014 Volume 91, Issue 11

Kayla Murphy, Reporter

Editors-in-Chief

Katie Stallings Maria Yokopenic Editorial Board Connor Belak, Julianne Rosa, Jake Stallings, Anna Ayers Staff Vincent Bonar, Emily Daily, Lain Fisher, Erika Kellerman, Matt Kalning, Anja Lenhart, Abbey Machesney, Olivia Marcanio, Ryan Mattioli, Kayla Murphy, Frances Piper, Johnny Saunders, Korben Repko, Brett Vallorani, Sarah Weise Advisors Mrs. Renee Stallings Ms. Emily Rosatti, student teacher Administration Mr. LoCascio Mr. Ingel Mr. Shivetts Printed by the Latrobe Bulletin

Editorial Policy The staff of The High Post is committed to serving the student body of Greater Latrobe Senior High School. The opinions articles contain the ideas and views of individuals and do not represent the views of the staff, the advisors, or administration in its entirety. The High Post is a public forum for student expression; therefore, any student who wishes to create dialogue concerning an issue may do so by submitting articles or letters to editors in C109. In order to uphold the integrity of the publication, The High Post reserves the right to edit the submissions for grammar, style, and available space. Submissions should not exceed 300 words. Front Cover Photo by Sarah Weise, Reporter

Career Lunches: Business Lunch

Photo by Maria Yokopenic, Editor-In-Chief

Senior Rhett Snyder sits calm and relaxed while donating a double red. Instead of just donating whole blood, they take just the red blood cells of his blood. Properties like plasma and platelets and returned back to Rhett. On Friday, March 28, Greater Latrobe Senior High students participated in the annual Red Cross Blood Drive. The event started at 7:45 am and lasted until 2:00 pm. Mrs. Kubus and the Red Cross Club helped out by escorting those who had just donated blood to the mats and offering a variety of snacks that Mrs. Burford’s classes generously donated. Nurse, Mrs. Zezza said, “The students were wonderful about volunteering this year.” The support of the students and the community made the event successful. David Houpt, the representative of the Red Cross suggested a competition between Derry and Latrobe to see who could have the most donors.

How did you spend time on two-hour late start on Monday, March 31? “I slept in exactly two hours later than I would have normally without a two hour late start.” -Marcus Smail, senior “I got more sleep and wasn’t late for once because I got enough sleep so I could get ready in time.” -Renee Krall, senior “Slept in” -Tyler Stercho, Senior “Me and my mom thought we missed the bus and then after we got to school, we realized that it was a two hour delay.” -Michael Slezak, junior

“I went to Sheetz and got a breakfast sandwich with a hashbrown in it. It was delicious.” -Dominic Scalise, Senior “Slept in some and allowed more time to get ready” -Hannah Phar, Junior “I slept for about an hour later than normal and came in early to make up some absent work before grades were due” -Morgan Wano, Senior “Sleep” -Charlie Robbins, Sophomore

The third working lunch this year was held in the Center of Student Creativity on Thursday, March 13, 2014 for seventeen students who are interested in the business field. A professional who attended the lunch was Cindi Goodfellow. Goodfellow attended Penn State and eventually became a Pharmaceutical Therapist. She first started her job working in an office, now she does more traveling and works out of her house helping patients. “I haven’t worked in an office for 20 years, and I love it,” said Goodfellow. Through speaking to the students, Goodfellow explains that a career path can change after graduating from highschool and even from college. “It’s hard at a young age to try to figure out what you want to do. But once you find what you passionately want to do, it’s the best feeling ever,” said Goodfellow. Senior Kenny Paredes, a football player, attended during lunch B to get some insight from the professionals. Paredes, who hopes to one day play professional football, is going to play at Robert Morris University while majoring

in business and minoring in mathematics. “I attended the lunch to hear the professionals talk about how they got to where they are today and what their daily jobs are. I basically just tried to take in as much information I could, and it was all very helpful,” said Paredes. Kenny is hoping to get into the sport management field and eventually be a general manager for a football team. “I want to be someone that brings a team from the bottom and to the top in order to win a championship,” said Paredes. Overall the career lunches allow a student to explore a possible career. “There is a lot of networking through the professionals to the students. They really do enjoy the advice that is given also,” said Ms. Hager. Students say that the lunch is very informative with suggestions and tips throughout the lunches. Teenagers also love the idea of bonding over food. Some students thought that the lunch should be extended, in order to have more to talk time to the professionals. In the future, the guidance department plans to continue the Career Lunches to promote different career aths for students.

English Classes View Panel

Johnny Saunders, Reporter GLHS English class students sat in on a panel discussion on March 13 in the library with alumni, professors and staff from local colleges and libraries who shared insight about the students’ potential future in college. They stressed the importance of time mangement and how what the students are learning in their current English classes is vital to their futures in college.


The High Post

News • 3

Culinary Students Learn Real Life Skills Lain Fisher, Reporter Cafeteria worksite, a program that runs from March through May, gives 32 students taking Foods I classes the opportunity to gain real world experience. The experience goes hand in hand with the Foods I curriculum including a unit on Hazard Analysis and Critical Control Points (HACCP), a program the school uses to ensure food safety, which is one of the reasons Cafeteria Worksite is a helpful tool in learning hands on. One of the most beneficial points to the experience is the exposure it gives to what a career in working in foods is like. “The students get a ‘behind the scenes’ look at the food service industry. They also have a chance to see how food safety and sanitation are practiced in the kitchens,” said Mrs. Burford, GLSH Food and FACS teacher. The skills the students learn while working are interrelated to the Foods I curriculum and real world jobs. Students arrive at the cafeteria directly after homeroom and usually conclude their work around 11:00 a.m, when lunch B is finished being served. Various jobs are offered to students. For example, students can work the bakery station, such as the one pictured below, and help to produce and prepare

Senior Kyle Mattioli serves his shift at the cafeteria on March 20 during “A” lunch. Kyle along with other culinary students worked a shift in the cafeteria to gain knowledge of those skils. Photo Courtesy of Ryan Mattioli, Reporter

baked goods such as cookies. Students learn the skills such as chopping and mixing ingredients while working side by side with supervising cafeteria ladies. Jobs that the students are given do not require previous training to complete. Students who participated think that the program is beneficial to their future, “It not only takes you out of the classroom, but it teaches you the importance of the critical aspect while working in the kitchen, such as proper hygiene and food safety. Also, it teaches you how to be professional on the job,” said senior Justin Bohon. “I plan on having a job in foods in the future to get some money before college,” said junior Noelle Corata. She describes the experience as a good way to gain real world experience in working with others. Working hands-on in the cafeteria gives students the opportunity to apply the fundamental concepts they learn in culinary classes to working with the real deal. Students are asked to take principles such as sanitation, functions of ingredients, kitchen management, and quantity food production into consideration while working, Burford describes them as the skills that are basically connected to the various techniques of preparation.

Students Take ASVABS To Assess Knowledge Vince Bonar, Reporter The ASVAB test stands for the Armed Services Vocational Aptitude Battery. The armed services use this test to determine how qualified people are to enter the services. Unlike other qualifications tests, this test is 100% free, and was offered on March 12, to Greater Latrobe High School students. Senior, Ben Smith, who is a new member of the National Guard Reserves of Pennsylvania, said “taking the test is necessary to join any branch of the military.” The score can be crucial to your MOS placement, which is essentially your specific job in the military. Most branches require a minimum score and at least a high school diploma to be considered for the recruitment process. The score is called your AFQT score. For almost all the branches, the minimum score is 35. The branch that requires the highest score is the coast guard with a score of 45. Emma Silvis, a future marine said “It tests what you know as compared to standardized tests, which test what you don’t know.” She appreciated that it tests your skills and knowledge. This test is designed to see what you are good at and what potential you hold. Unlike

tests like the SAT, this test has real-world applicable questions. Currently, the ASVAB has nine sections which are mainly based on logic and reasoning. There are sections such as Electronic Information, Automotive and Shop Information, as well as Mechanical Comprehension that test abilities that can be used in the field. Megan Reyes, a junior, took the test to find out more about herself. Reyes, who is not interested in joining the military, said “The ASVAB gives you a look into possible occupations and what your skills are, even if you are not interested in joining the military.” A few weeks after taking the exam, students receive results from the exam. The results give the students a score in each of the sections. The results are divided into individual groups based on gender and age. They are scored using percentile rank. Because of the high demand of the job market, many people use their scores to leverage the playing field of jobs. Whether you are joining the military or not, taking the ASVAB allows the participant to assess their skills in a variety of areas and to organize their future.

Students and Teachers Celebrate Pi Day Kayla Murphy, Reporter

The Greater Latrobe High School mathematics department celebrates an event together and has speakers come in to talk about mathrelated careers. At the event, students listened to the professionals tell their story and begin to understand what it takes to move into a math related career. After the professionals were done speaking, the school has provided pies for each student. One of the professionals that spoke was Aleisha Kooling. Aleisha graduated the University of Pittsburgh and majored in bioengineering. “A cool thing about engineering is seeing a

product go from nothing, to something,” said Aleisha. In the future, Aleisha plans on going into health care. “Having a degree in bioengineering can take you to many different paths,” said Aleisha. Another professional that spoke was a pharmacist. As a high school student he had the love and passion for chemistry, but later realized that he is more of a people person, and went into health care to take care of patients. “To work in health care you have to have a passion to work with people at their worst and during their best.”

Each year an annual Pi-Day T-shirt contest is held for students to enter T-shirt designs. The contest celebrates Pi-Day and the student body gets involved by creating possible designs that the entire school votes on. This year the school wide vote selected Chelsea Wilson to be the winner. Math teachers, Miss. Aaron and Mrs. Echard takes a break from helping students in the math lab to show off their matching shirts.


4• Sports

The High Post

Wildcat Wrestlers Leave Paw Prints At States Latrobe wrestling was one of the most exciting sporting events in the 2013-2014 school year. The wrestling team gave everything they had this year and didn’t let anybody down taking second in the state tournament. WPIALS were held at Cannon Mac in late March where Luke Pletcher and Zack Zavatsky took first, Jake Shaffer and Dylan Davis took second, Dom Scalise took third, and these wrestlers were on their way to Hershey to make history. Individual states began a couple weeks after team states ended. A couple notable standout wrestlers for Latrobe this year were Luke Pletcher at 120 Pounds, Jake Shaffer at 152 pounds, Dom Scalise at 160 pounds, Zack Zavatsky at 182 pounds, Tyler Mears at 285, and Dylan Davis at 220 pounds. All the wrestlers trained and worked hard on and off the mat. They had their minds set to do great things and help the team win, and that they did. “I love this group of kids, they all trained hard all season long and a lot of them went to clubs to improve. You could see how much it has worked. We had a great season and I’m liking the future of this program.” said Tad Harbert. Success had made the Latrobe wrestling team quite familiar with Hershey, PA, where the individual states for the team was held. Pletcher is a returning state champ and is looking forward to capturing the gold once again. All of Latrobe appreciated everything they have done. All season long, the wrestling team had huge crowd and everybody is very proud of all the goals and accomplishments they have all achieved. Luke Pletcher won his second state title in

2 years and he is looking forward to winning states his next 2 years. Luke is already working hard for this upcoming season, and he knows that he has all the momentum for next season as they are expected to do big things as a team. “I’m looking forward to next season already, big things are expected and it’s my dream to be a four time state champ,” said Pletcher. Zack Zavatsky ended high school with a state championship and he ended his Latrobe wrestling career with a 166-18 overall record. Zavatsky qualified for the 2014 senior class Dapper Dan tournament, one of the biggest in the nation. Zavatsky scrapped hard and in the end he took first place and ended his wildcat wrestling career the way any wrestler would dream to. Zavatsky had huge success while wrestling at Greater Latrobe, but one of his favorite moments occurred during his freshman year. His favorite moment was, “helping my team win sections my freshman year by pinning my kid in a dramatic fashion” said Zack Zavatsky. Dom Scalise and Zack Zavatsky are both attending D-1 colleges to continue their wrestling career. Zavatsky will be attending Virginia Tech while Scalise will be attending the University of Virginia, both very good colleges. “Ever since I was 6, I wanted to wrestle at a D1 school, and knowing that next year is the start of what I wanted to do for twelve years is really exciting. And I couldn’t have chosen a better fit than UVA for me” Said Dom Scalice Latrobe will be working hard in the offseason to keep all the momentum going, and start the next season right where they left off. Ryan Mattioli, Reporter

The High Post Holds First Annual Friendly March Madness Pool

Compiled by Johnny Saunders Every year not only the typical college basketball fan takes part in March Madness’ bracket challenge, but also anybody who can get their hands on a bracket enters a challenge. It’s worth the shot, and winning is always luck. This year there was a lot of hype about filling out brackets because Warren Buffet was offering the huge grand prize of a billion dollars to the one created a perfect bracket. A staff decision was made to do our own bracket challenge, the High Post’s first annaual “Bracketology”. Points were awarded based on correctly picked games, and out of the 64 entires, none picked the National Championship or the Champion correctly. Congratualations to our winners who participated!

BRACKETOLOGY RESULTS 1. Trey Hudock- 161 points 2. Mr. Marucco 154 points 3. Caleb Whitehead 153 points 4. Keith Findle 142 points 5. Cassie Trumbetta 139 points Winners come to C109 upon returning from Spring break to claim prizes.


The High Post

Player Profile: Chad Kissell

Q: You have played tennis for a long time, what keeps you motivated to keep playing? A: I just love the competitiveness of the game it can be at a high level of play and the drive to get better until I’m the best keeps me going.

Q: Both of your sisters are great tennis players, how does that make you want be better and also create competition with in the house? A: All three of my sisters were great!!! And we’re a pretty competitive family when were playing, but when we’re off the court we don’t really care who’s the best! Q: Do you feel any pressure because of how successful your sisters has been? A: I don’t really feel like it’s pressure because what my sisters have done over time, in their careers, is truly amazing and hard to come by, but as of right now I feel like I’m following in their foot steps! Q: You’ve had so much success as a sophomore, what were your goals when you began this season? A: I don’t set any goals because goals only lead to failure and pressure, but what I do is every time I play a tennis match is give it my all! Q: What is the biggest difference between doubles and singles for you and in which do you feel you perform better ? A: The only difference is your shot placement in doubles cause there’s always that guy at the net and if you hit it anywhere near where he can get it he’ll usually put it away for a winner. I’m more of a singles player!

Sports

Q: Being a doubles player too, how hard is it to build a team chemistry with one another and have trust? A: Yeah, good chemistry is key to being good at doubles! You can’t be upset or mad if your teammate misses an easy shot cause that will just hurt the team, and if you have been playing long enough with the same person that’s usually the teams that have the best chemistry Q: What is the team going to have to do to win the section title? A: Well, I feel like this team really likes tennis and I know a few of the guys played over the offseason and so far it’s been paying off as we’re 6-0 and #1 in the section! Q: As a leader on the team, what do you feel you have to do to put your team over the top? A: Well I really just try to lead by example! I feel like I show the team how much I care about them and our success in hope that they follow and care and give as much effort as I do! Which I can say that they all do! Q: How has the new coach affected the team? A: Coach U has been great this season! It’s her first year as the boys head coach and she handle’s herself perfectly, she’s always doing what’s best for the team! Q: With being so successful over the years, do you have any superstitions? A: Well I guess I’ve only gotten better so my success can only keep improving!

Junior

Singles Doubles Going to states for singles 11-0 Getting college offers 4 out of 5 college prospect Brett Vallorani, Reporter

Lady Cats Make A Splash At WPIAL, PIAA WPIAL CLASS AAA CHAMPIONSHIPS

Greater Latrobe Results

1st Place: 200 freestyle (M. Sowinski) 2nd Place: 100 freestyle (M. Sowinski) 2nd Place: 100 butterfly (Ky. Owens) 2nd Place: 100 breaststroke (Ky. Owens) 2nd Place: 200 freestyle and 400 freestyle relay (Team of: Ky. Owens, G. DeFrancesco, M. Douds, M. Sowinski) 4th Place: 200 freestyle (G. DeFrancesco) GL Fourth Overall

5

place, only falling short of North Penn (189), North Allegheny To the Greater Latrobe girls swim team late February through (235) and first-place Hershey (279), the three most dominant March is like blood in the water, they are constantly hungry to achieve and fight for every second to make it to the WPIAL Cham- swimming schools in the state. Key events came from a series of experienced swimmers doing pionships and then on to the PIAA Class AAA Championships. what they do best. Senior Kayla Owens finished third in the 100 After strong performances from the Wildcat swimmers at the breaststroke, while Junior Monica Sowinski took seventh in the 100 WPIAL Championships, the team finished fourth overall, and was freestyle. The 400-yard freestyle relay team of Kayla Owens, Gina primed and ready to silence the doubters and place among the best DeFrancesco, Megan Douds and Monica Sowinschools in the state. ski finished fourth with a time of 3:29.84, only The PIAA Championships seconds behind the first place team. are held at Bucknell University’s Latrobe also took fifth in the 200 freestyle relay, Kinney Natatorium. On this the same team competing as that in the 200 freestage last season the girls took style relay. Senior captain Gina DeFrancesco comfourth overall, this year they ments on what helped the freestlye relay team on hoped to repeat their success, its way to the PIAA Championships, “We trained despite losing some key compomore sprinting this year which really helped us all nents to last year’s team. As the get a lot faster, and Megan Douds really stepped Wildcats head coach, Greg Arup to fill the fourth spot we lost from our relay rigonie, told the Tribune Review, team last year,” said DeFrancesco. “Fourth was where we finished This years’ success has capped off the great high last year, and that was one of school careers of senior captains Gina Defrancesco our big goals this year, too. Stay GL Swimmers junior Monica Sowinski, there and improve, said Arrigo- senior Gina DeFrancesco, sophomores and Kayla Owens, while prepping the next group Megan Douds and Courtney Kinkead of seasoned GL swimmers for the 2015 season. nie.” The Wildcats totaled 115 before the WPIAL Championships Anna Ayers, Editor points to again finish in fourth


The High Post

6• Features

Act on: TSWGO

Erika Kellerman, Reporter Esther Grace Earl, author of her memoir This Star Won’t Go Out, passed away in 2010. Earl was a shining light in her family’s darkest days. According to her book, Esther’s cancer definitely didn’t define her, but more importantly, she defined herself, , according to her mother, Lori Earl. She made others feel important. She never failed to make someone smile. She never hesitated to make someone feel like they were worthwhile. After conversing with Mrs. Earl, she showed some insight into her daughter’s life and words. While she was living, Esther influenced many people around her. Whether it be with her friends in her group, Catitude, or her subscribers on youtube, they always listened to what she had to say. Esther was a profound young woman who always had something quirky and interesting to say to whoever wanted to listen. Mrs. Earl said, “One of the most profound things was her response to John & Hank Green, when asked what she would like her birthday, Esther Day, to celebrate--pick anything you want, they said. After thinking it through, Esther said she wanted Esther Day to be a day to tell the people we love that we love them--especially family and friends that we so often DON’T say “I love you” to, out of awkwardness.” Love is a word that constantly gets said without meaning, but Esther was one to bring “love” out of the darkness and into meaning once again. Love was branded as a cliche word to describe everything-how you were feeling about a particular movie, song, or pet. Esther’s version was defined as telling people how much she truly cared about them, how much she truly appreciated them. Her version of love wasn’t thrown around meaninglessly. When she felt like she needed to say it, she said it, if not she didn’t. Even when she was feeling sicker than she normally was, she made sure to make each of her family members loved. Esther paid it forward by encouraging others. According to Mrs. Earl, ”She [Esther] loved to subscribe and comment on video channels that had few subscribers and comments--she wanted to encourage them. She spent time with her little brothers, even when she was feeling pretty sick-

-if it was all the energy she had, she would just have them cuddle in bed with her, or they’d color a book together.” She never failed to show that she cared for a person. Her gratitude and kindness towards others always shined through. Mrs. Earl and her family have kept Esther’s legacy alive since her unfortunate passing through the This Star Won’t Go Out Foundation. This Star Won’t Go Out keeps Esther’s memory and passion for others alive to this day in 2014. Lori Earl created This Star Won’t Go Out in 2011 to support families who have members with cancer. In 2013, TSWGO gave out over $33,000 to help about 20 families with children that have cancer with direct financial grants. Since its founding in 2011, TSWGO has given out around $135,000 to help over 70 families with kids with cancer. You can donate by purchasing Esther’s book, This Star Won’t Go Out. You can also buy t-shirts and bracelets from the DFTBA website. If you can’t contribute monetarily to TSWGO, don’t worry. Just by spreading awareness of TSWGO, you’re already contributing a lot to the organization! Talk to other nerdfighters (i.e. fans of John and Hank Green, keep up people!) about Esther Day and TWSGO. You can also sponsor a fundraiser in the name of TSWGO( a bake sale, yard sale, battle of the bands, craft show, a fair, a shaving head for charity event, selling t-shirts in the name of TSWGO.) The possibilities are endless. “Your creativity is all that is needed.” Mrs. Earl adds. As of 2014, TSWGO currently focuses on giving grants to help families with a child diagnosed with cancer. But because Esther cared about so many causes (such as oppression, poverty, equality), they hope to see the foundation branch out into communities for support of hurting teens and young adults in the future. They also hope to expand into bereavement (coping with loss) support groups. Esther Day is a huge part of Esther’s legacy. Esther’s message “Love is Stronger than Death” really makes an impact with what TSWGO is accomplishing. She would be so proud to see her movement carrying on.

Scotty G’s Cooks to Satisfy

Scotty G’s is a local pizza joint that has been around for the past eighteen years. Opened Monday through Saturday from 10:30 in the morning to 10 at night and until 11 on Friday and Saturday nights, the family owned business flourishes. They deliver around the town for free while delivering to Youngstown, Baggaley, or even Derry Township with only the cost of an extra dollar. Many discounts, deals, and specials are available every day of the week, except Sunday. The Monday special: buy a large plain pizza for $8.50. Tuesday: buy any whole sub and get the second 6 inch or whole sub for half price. Wednesday: buy a large pizza with 1+ toppings and also get a free 2 liter. Thursday: buy a large 3 topping for $14.99. Friday: get 2 large 1 topping pizzas for $19.99. Saturday: get a large 1 topping pizza, large tossed salad, and a 2 liter of pepsi for $15.50. Lunch Combos are available everyday of the week for $7.25. Most include a sandwich, french fries, and a can of soda. The shop does offer Lunch Specials for hungry workers and students on summer break. They differ everyday except for the constant Tuesday spaghetti special, $4.50 Dine in or $5.00 Take Out. Pizza by the slice is also on sale from 11-2 in the afternoon. Pierogi pizza is available on Wednesdays and White on Thursdays.

They offer different specialty pizzas, such as Honey BBQ chicken, Spicy BBQ chicken, Garlic Butter Chicken, Steak and Cheese, and Taco pizza. Regular pizzas come in different sizes ranging from a 4 cut to a 24 cut with thin, thick, or regular crust. Recipes can be changed to fit customers wants and needs. Even if a “mess up” occurs in any order. Scotty G’s is very generous to give back what a customer missed out on. Customers can buy burgers and top them with anything for the price of nothing. Different options for specialty salads, such as steak, chicken, chef, and more. Not only does the pizzeria sell a smorgousboard of Italian foods, but they also offer sweets, too. Fried dough and “Cinnabites” are available with the choice of regular or cinnamon sugar. The staff at Scotty G’s are pleasant people. They work as a team to get things done and to make the food 100. When the weather brightens up menus are handed out all throughout town which include menus, specials, and coupons. So, look out for great deals on your doorstep. Pick up your phone and dial 724-532-2242 now and enjoy the taste you’ll soon love whether it be delivery, dine in, or carry out. Frankie Piper, Reporter

Who’s your “BFF”?

“Sarinah Martelli is my best friend. We met in 3rd grade when she moved to LES. Our favorite memories are always at every concert we go to because we always make it to the front row. “ Aubrey Marquis, Junior “My bestie is Gianna Johnson. We met in seventh grade and my favorite memory with her is when we rubbed poison ivy all over ourselves to see if we were immune. But we weren’t. We ended up in the hospital for days with severe allergic reactions.” Jasmine Hayden, Sophomore “My best friend is Zach Ruffner. We met years ago playing dek hockey and we’ve been close since then. There are too many good memories to pick just one. Caleb Depree, Senior Compiled by Frankie Piper, Reporter

April Mixtape

1. “Babel” - Mumford and Sons This song is very profound and upbeat, perfect for when you’re walking and getting out of your shell from Winter. Its also about leaving town 2. “Semi-charmed Life” - Third Eye Blind Third Eye Blind uses upbeat tempos and high pitched harmonies to express a happy sound.

3. “I Will Survive” - Cake This song is about surviving the terrible feelings of a broken heart. You can think of how you survived this long, terrible winter, and how you’ll soon be in a better place: SPRING. 4. “Flowers in your Hair” - The

Lumineers This song starts the Lumineers’ self titled album. It has beautiful lyrics and melody, perfectly matching the april flowers that will soon begin to bud.

5. “Good Day Sunshine” - The Beatles The title of this song speaks for itself. Enjoy this uplifting classic while relaxing out in the sun. 6. “Here It Goes Again” - OK Go This upbeat jam will keep you headbanging on your way to the park. Again, and again, and again. 7. “You Only Live Once” - The Strokes This song talks about waiting for a lover. Its kind of like how you’re waiting for beautiful summer to be here!


7• Features

Classics Concert

The High Post

Saint Vincent Basilica’s pews were packed with anxious audience members waiting to hear the first performance by Greater Latrobe’s junior and senior high choral members at the annual Classics Concert led by Ms. Surden which features all of the school’s choirs on Sunday, March 23.

Sophomore Michelle Kondrich sang alongside Abby Novotny, Jayden Moffa, Savannah McElhaney, and other high school and junior high students during the Women’s Choir performance.

Lauren Takitch, Abby Novotny, Anna Graziano, Emma Rockwell, and Hannah Prichard gracefully posistion themselves front and center during the Chamber Choir’s, an audition-only highschool group’s, performance.

Jake Ballard and Josh Auman, with junior high students Jake Lubic and Joel Basenback attentively kept their eyes on Ms. Surden for musical direction during the lively Men’s Ensemble performance.

Choral director Ms. Sudren quickly turns on a microphone as she prepares to introduce the Women’s Choir which consists of junior and senior high students.


The High Post

8 • Opinions

Do We Remember?

The True Face of Discrimination Do we remember the darkest and most shameful part of our nation’s history? Do we remember the time when a man was considered three-fifths of another man because of the color of his skin? Do we remember that slavery left our nation in shambles and will forever scar the country we call home? Do we remember how we didn’t learn the lesson that racial discrimination is immoral? Do we remember how Jim Crow laws were driven by the idea of ‘separate but equal’? Do we remember that we live in a country that only fifty years ago had different sets of textbooks and water fountains to be used based on race? As a new age of discrimination has been born, it is evident that we did learn the lesson from the old style of discrimination we just escaped. If we knew the true face and evil of discrimination we would never allow the monster to grip our lives again. A new age of technology has created an entirely new monster of discrimination. Nothing is personal or private anymore. If it happens, somebody saw it or took a picture. If it was said or written, its been quoted or copied, and archived into an eternal cyber footprint. Social networking has developed our lives into a constant update of personal information, posting our lives for the entire world to see. While most people still remain relatively anonymous, blending into the cyberworld, many lives can never be hidden. This accessibility has created a fuel for discrimination that is unrivaled, but also hidden pseudo-need to always ‘speak our minds’. Discrimination is the unjust or prejudicial treatment of different categories of people or things, but if you tweet or post the truth then is it discrimination? How many people ever tweeted about Michael Sam before his sexuality was compromised, by his own choice, and turned into media-ridden and spotlight captivating announcement? How many tweeted after Sam ‘came out’? How many supported him? How many didn’t? The point is, Michael Sam was an athlete. Michael Sam is now defined by a title of discrimination that was fueled, perhaps without malintent, by society’s addiction to a direct connection to the previous unseen parts of life. Discrimination has changed in the last fifty years, while some are still trying to pass discriminatory laws that would bar certain people from restaurants, the face of the monster has changed. If the truth is being displayed and people’s true feelings are being represented than how can discrimination occur? That is the mentality of the monster, and it has sunk its teeth into its new age of victims. The truth is, the truth hurts. Honesty compelled by hatred has always been hurtful, despite the change in delivery, that has remained the same. The constant attention given to private aspects of life may seem harmless at face value, and while Michael Sam honorably leads the way for a countless number of homosexual athletes, will society ever see him as just a football player? Will it ever completely stop mattering what the color of your skin is or who you love? If it is talked about, in any form, that inevitably means that the prejudice still exists. Can we remember that every voice is audible and discriminatory honesty is the new face of a monster we must slay? Michael Sam will never forget. He will never forget the first person he told or how kind his teammates and the community at Missouri University were when he came out. The problem is, he will never be a football player, he will be the first openly gay football player for the rest of his life because society has given him that title. So perhaps the true question to ask is this: Do we remember that by creating a label and by confusing the need for the details of private with brutally hurtful honesty, we have created the new age of discrimination?

Anna Ayers, Editor

D

Life of an Adventurer: Geocaching

id you ever try looking for something that wasn’t even lost in the first place...just for fun? Geocaching is one of the world’s largest growing trend in the world with the United States in the lead. Over four million people across the world have hidden 1.4 million geocaches. “Geocaches” can be tracked from all over the world and people from all walks of life visit and sign their names. There is different types of Geocaching, such as letterboxing. The main difference between the two is the GPS. Geocaching uses a set of coordinates to a “Geocache”, a box containing a log sheet and sometimes a small present. You type the coordinates into a device with GPS capabilities and follow to where it tells you to go. In order to find a letterbox, you must log onto the letterbox website and find a set of clues that will lead you to where you are going. No coordinates are used and there is no GPS system. Now, both are definitely right up my alley because I love looking for lost things. If somebody in my house loses something I can find it no matter how messy the room I am in. I am simply put, the Queen of finding things. Not only do I love finding, I also have always been fascinated with people from around the world and their cultures. Not only does this include people within our local area but it reaches to people from all over the world and you literally have a small connection with them. I decided to see for myself what this was all about. I set out, IPhone in one hand and my stamp and pen in the other. My goal was to find one in Mammoth Park. The adventure started off with my first clue being “go to where the giant plays.” If you are indigenous to this area you are aware of the main attraction to the park...THE BIG SLIDE! I walked toward the big slide...and obviously took my fair share of turns going down the fast and furious slide and taking the long hike back up the steep hill. I had to find the box though, so enough of the games. I then followed my second clue by “walking down the small hill along the woods and went through the opening on my left”. I walked and walked for what seemed forever, but I was walking in circles, I have no sense of direction. The clues then instructed me to look for a large tree in the opening. What size tree is a large tree? All of these tree look the same to me, there’s like forty large trees at Mammoth Park and I’m supposed to pick a large one? I went with what I knew: the guess and check method. It’s like when you don’t know an answer for a scantron so you just check C and it’s almost always right. So I let my little six year old brother pick the biggest tree he could find and we followed the next clue. We stood, our backs against his favorite tree and looked out into the small wooded area. It told us to face 10:00 and to walk forty paces. What the heck is a pace? Well, before geocaching I couldn’t tell you, but a pace is a single step walking at a consistent speed. We stopped and looked around. I couldn’t see a single thing. My brother didn’t want to follow the directions anymore, he just wanted to play. He hit me and said “TAG!” and ran as quickly as his little legs could. He didn’t get too far by the time he tripped over a huge pile of rocks, typical of Daniel. As I went over to pick him up, the rocks had moved to reveal something that did not resemble a rock. IT WAS THE LETTER BOX. Excited, both of us quickly snatched up the wooden carved box and opened it up to reveal a handmade stamp, paper, and a pen. Daniel, who early that day pick our personal flower stamp out, took out the ink pad and stamped our mark into the collection. The book wasn’t nearly full, but the box was in bad condition. I presume it was a newer cache, which would explain the emptiness of it, but had survived a true test of Pennsylvania’s harsh winter and the stones it was buried under, which explains the condition. We left a small prize in the box, a true secret only the next cacher will find. Lain Fisher, Reporter

1. Try a bacon sundae

2. Help in a soup kitchen 3. Meet Tim Burton

4. Pay for a strangers meal

5. Learn how to do a back flip


The High Post

9• Opinions

Making A Marc: Pay it Forward

Through the kitchen door, Sam stands with a ladle in his hand, like every other Friday, Saturday, and Sunday. An apron around his waist with a splatter on the front, he is the ring master of the kitchen. Josephine stands behind Sam, waving “Hi” with rubber gloves and begins to tend to the dishes. Elsie makes sure there is enough food, spices, and supplies for the day, with an inevitable trip to the store at hand.

Sam, Josephine, and Elsie are there everyday a hot meal is served. Most others come and go as their schedules permit. They’re always ready to prepare a meal for all who will attend each night something is served. There is much to do behind the kitchen walls; more sponges to be scrubbed, and more dishes to be washed, more mouths to be fed, and more food to be cooked. There are more jobs than there are staff, and the same cooks are there almost everyday. It’s nearing seven, and everyone is seated. They started filing in at five, with children lagging behind. Sometimes they’re too small to walk and sometimes they’re without jackets. White faces and eyes longing for something secure today, something to wipe the fear away. Fifty guests altogether, but a scarce showing tonight. Maybe they got something to eat, but are they going to be warm enough tonight? Not everybody has someone, but today the attendees eat as a family, like they do every weekend. Seven o’clock means it’s time to serve up smiles. As they tell you what they want, a big grin comes over their face as you pass the food over- it’s a whole other world of giving. Plate after plate, most come up for more, just because they don’t know when they’ll have another chance for something hot, or anything at all. They eat and eat, with bright eyes and rosy cheeks. Sitting down after the meal with everyone who attended a meal, getting something for yourself, and looking around at the satisfied smiles for the night- and you realize there are few better feelings in a lifetime than giving someone something they truly depend on. Josephine, Elsie, and Sam have families and full time jobs, but still give up their time with their families to make sure others get to eat today.They are the playmakers, but they also need more to make their plans come to life. The slightest action can make the biggest impact on someone, to one single person or so many at the same time. Just one day a week, even an hour, can really change someone’s day. Lend your time, even if you don’t have much, because just the smallest contribution can make the biggest difference in someone’s life. So give the slightest gift. Give a dollar at the grocery store to Childrens Hospital, donate a pack of gum to the soldiers over seas. Donate that $10 you were going to spend on that movie that you don’t need to a food bank or a soup kitchen. Volunteer at a soup kitchen, Help someone eat today. Give someone a winter jacket. Giving isn’t just for the Christmas season. It’s for everyone, everyday, all the time. Pay it forward. So go out and do something. Because you are so blessed; blessed with time, love, and compassion. You are blessed with your health, and your three meals a day, but most of all, you were blessed with the virtue to change something for someone else and Make your Marc on something that will help another person. Make your Marc and change the world- one meal at a time, one person at a time, one smile at a time. Olivia Marcanio, Columnist

R[e]volution: Reasons to Live If there is one thing in this world that I am sure of, it is that love is love no matter what shape, size or color that it comes in. But the most important kind of love that exists is self love. The love that you have for yourself is the most fierce and fearless love you will experience in your life. You must love yourself enough to fight for what you want and to never give up. These are the reasons to live. The possibilities exceed any number you can fathom. Watch your little brother grow up: know all of his favorite songs, colors, and things to do. Walk outside and take a deep breath into your lungs to remind yourself of who you are and where you are going. Study how all of the animals and plants interact with each other. Watch an older couple hold hands walking down the sidewalk and picture yourself in their position someday. Bake cakes, cookies, and cupcakes with your mom and tell her about your entire day. Notice how her eyes light up as you realize she is your biggest fan. These are the reasons to live. People are in your life to look at you like you can’t accomplish anything in your life: prove them wrong. Do everything in your power to be the best being that you can be, but do it for yourself. Exceed every expectation and break down every wall anyone has ever built around and above you. These are the reasons to live. People are in your life to look at you like you hold a burning sun in the palm of your hands: prove them right. Show them that you are the most powerful hidden weapon the the world

possesses at any given moment. Show them that you can climb up every wall twice and then do it again, but most importantly do it for yourself. Show yourself that you are important and you are a balanced soul. You are capable of the most important changes of the world. These are the reasons to live. Put your hand over your chest and feel every ounce of blood pumping into the vessel keeping you alive: that is purpose. Walk outside and feel each ray of sun hit the braille of your skin and warm it: that is purpose. Take a deep breath in to inhale the air, peoples words, and life: that is purpose. Don’t ever for a second think that you are alone and can’t win the race. Life is hard and we must ride each bump of the roller coaster until we reach the end and you must know that with the downs comes the ups: it gets better. You must stay true to yourself and your ideas because people will chew you up and spit you out: it gets better. You must find that one thing that makes you want to see what tomorrow brings. It can be rock climbing, exercising, drawing, driving, swimming, sports, music, or anything else. If you do not get a taste of what it feels like to be happy, you will never know how truly satisfying it tastes, because it is your victory when you win the battle. These are the reasons to live. Lain Fisher, Columnist

Pope Francis Changes the World

Vince Bonar, Reporter The times, they are a-changin’! For the past 1500 years, the catholic church has been viewed as oppressive to non-Catholics. Pope Francis is the 226th pope, leader of the Catholic church. He is from Buenos Aires, Argentina, the first Argentinean pope ever. Over the years, the church has been influential to the entire world, the catholic church has over 1 billion followers. At age 76, Pope Francis has revolutionized and modernized the Catholic church since his election. Pope Francis is different than most of the past popes because he lives the example he preaches. Almost immediately after entering office, Francis began to change the world and his church. From inviting a boy with down syndrome to ride in his popemobile to touching a man with horrible disfigurations, Pope Francis is a living example of pure empathy. This man emphasizes humility, compassion, and love. He focuses his

words and actions on positivity. This papal celebrity is taking his church on a more humanist route. Pope Francis was Time’s person of the year. Francis is one of the most liberal popes ever. His positive messages are attracting people back to his church. Francis said that God can forgive good atheists. An atheist is someone who does not believe in a god at all. For years, Christians considered this to be morally wrong and sinful. Pope Francis’s explanation of sin is: “not lacking a belief in god, but the disobedience to one’s conscience.” This is incredibly radical and liberal, coming from a church who hundreds of years ago would kill nonbelievers. Francis denounced the judgement of homosexuals. When asked about homosexuals entering the priesthood he said “Who am I to judge?” This struck members and non-members alike as very different, and they knew they were in store for

more changes. Pope Francis has been taking action to help those who are in need. According to the Huffington Post, Francis occasionally sneaks out of the vatican to pray and socialize with homeless Romans. He breaks and administers the bread, serving mass. This man is an icon of catholic humanitarianism at its finest. To showcase this difference, previous popes would travel in a bulletproof vehicle to get around, surrounded by guards. Pope Francis loves the people and the people love him. He is a man who cares about the people, and speaks out for them and acts for them. He is a good role model, not just for catholics, but for everyone. With forgiving and uplifting words, Pope Francis motions the world towards peace and believes, “What was a sin and injustice also needs to be blessed with pardon, remorse, and reparation.”


10 • In Depth

Stress affects the body

Lain Fisher, Reporter The American Psychological Association has reported that nearly 31% of teenagers are feeling the effects of overwhelming stress. While that number may not seem high, it has proved to be greater than adult stress. Teenagers mirror adult stress habits and take them to the extreme with lack of sleep, eating, and bad habits. The study has shown that if students do not find healthy physical and emotional ways to cope with the stress, they are easily heading down a path of self-destruction. Stress is how our body reacts to certain events in our lives and how it is able to meet and deal with a tough situation. Stress is any situation that invokes feelings of irritability, anger, anxiety, depression or sadness. Teenagers are continually growing and shaping themselves into who they plan to be in the future. Media and society affect and govern “the right way to live.” Add all of that up and pile it on top of school and possibly a job and you are left with a teenager who has more anxiety and depression than the average adult, and at such a young age. Reports from CBS News show that millennials, ages eighteen to thirty-three, are more stressed than any other current living generation by saying this generation had a stress rating of more than 5 out of ten with a 3.6 being considered a “healthy” level. Reports by teenhealth.org have shown that a little bit of stress each day is good because it gives us the motivation and adrenaline we need to get things done. However, with the focus on our generation to get good jobs and fix past generations problems, the burden is pushed back on us to go even bigger and do even better. This amount of stress pushed onto teens can have many harmful effects that can be physical, emotional, cognitive, and behavioral.

Stress can be triggered by any situation or element in life big or small. Things in our life that cause stress are called stressors and can appear in many forms, some common stressors are: Being bullied - It only takes one time of being bullied to live in fear. Once it happens the bullied person constantly worries about when it will happen again causing anxiety to occur. School- Going to high school can be hard. If a student takes 8 classes and has homework in each one, the student can end up completing many hours of homework each night. The focus is placed on balancing all of the work for those classes and making sure grades are still acceptable. Having a job- Even working a few hours each night can pile on stress and fill up your schedule rather quickly. When the student goes to high school and leaves thereafter to go to their job for a few hours, they feel as if they have no time to get their school work done. Self esteem/Body Image- Pressure and body image go hand in hand. Constantly being scrutinized on what to wear, what to say, how to dress, and how to act can really make somebody feel like they need to belong. This pressure grows into the only thing the person can think about and may even make them go to extreme lengths to achieve.

Relationships- Relationships can cause many emotions including anger, sadness, happiness, and confusion. The constant imbalance of all of these emotions can cause tension to rise. Sports- Playing sports with friends can be fun and you can create many memories. However, when coaches and family push the athlete to always win and be competitive it can be really hard on the player. They are torn between either having fun or being what others expect of them. Sleep Deprivation- Getting enough sleep is crucial to all of our body’s functions, it is just as essential as air. Stress heavily affects our mood, so if we get anything less than the recommended amount of sleep our body starts to feel the effects on our emotions. Major life changes- These can be stressful to any person. Losing an animal or loved one, parents getting a divorce, or even moving away can all be very stressful. Major life changes can bring on the feeling of not knowing what will happen next causing the person to always worrying about the future. Lain Fisher, Repoter

Ashley Dewalt, 12, Working Student “I get stressed once a day and it’s mainly about work. I work at least 10 hours a week but have a busy home life with brothers and sisters to help take care of. It’s really hard to juggle hours of school then going to work. I can hardly find time to get my homework done. I normally just try to block out everything around me and just focus on what I need to get done first or by listening to my favorite music and singing or I’ll punch a pillow a few times. My mom helps me out a lot and guides me to where I need to get next. I just feel like I have no time for anything anymore. Getting stressed so much gives me headaches which makes me want to sleep even more.” Brittany Bueche, 12 Student Mom “I get stressed every single day. Between having my baby to take care of, having to go to school, and having a job, how am I supposed to have any down time? The only way I can really deal with it is talking about, getting all of my emotions out really helps. I take a minute to breathe and figure out my priorities or even just jamming to music seems to help. I definitely have to use time management. I do what is the most important first and then focus on the rest. I just get so frustrated with having so many things to do at one time.” Taylor DeLancey, 12, Artist “I’m usually stressed every second of the day mainly about my future. Whether or not to take a gap year or to raise money for school are major stressors along with finding my own place to live. I’m not really good at expressing how I feel with words so I usually just paint it out or use art. Being so stressed gives me major headaches that make me nauseous and make my eyes hard to open.” Compiled bt Lain Fisher, Reporter

Stressed Out

The High Post • 11

Heidi Thorne Finds Peace of Mind Lain Fisher, Reporter

Sports, jobs, homework, high school, friendships, busy schedules, lack of sleep make up a stressed out high school student. What time is left to find a few minutes to just focus on ourselves? Life is a crazy roller coaster and sometimes it seems like our stress is never ending. Amid this hectic teenaged-lifestyle, time has to be found to sit and enjoy our lives. A good example would be meditation. Meditation is the training and working together of the mind and body to induce reflection and to practice self contemplation, but for Heidi Thorne, a junior at Greater Latrobe Senior High School, it’s a way to find her peace of mind. To destress and detoxify her life, she finds 20-40 minutes everyday to realize the beauty of her life and to live in the moment. Heidi has been practicing Mindful Meditation on her own for almost half a year. Within the last two months, she started taking classes every Tuesday from

6:30-8:30 at the Center for Integrative Medicine in Pittsburgh. Since she has started meditating, Heidi has noticed the drastic benefits in her life. “I have learned to live a life that revolves around the current moment, and I don’t worry about the past or future problems,” said Thorne, “My life has slowed down and I have realized the beauty of the life we live.” Heidi started meditating because her doctor referred it to her as a way to manage her anxiety. “Meditation is a mode that enables me to find my truths, my true self, and reduce my stress and anxiety levels,” said Thorne. “I learn to live in the moment and only worry about the present life.” She has noticed her life taking a calmer route to happiness. “I could tell you what it feels like to walk: the motion, the muscles used, and the pressure felt all over my feet,” said Thorne. She said that because of meditation her life has slowed down which made her realize the true beauty of taking time to smell the roses.

De-stress yourself

1. Yoga/ Working out Physical activities like yoga and running can produce endorphins that reduce stress. Also concentrating on breathing in yoga can help calm a busy mind. 2. Tea Sometimes a nice warm cup of tea is just what the doctor ordered for a bad day. Studies show that regularly drinking tea can lower stress related side effects. There are so many different types of tea out there. Find your favorite flavor and cup, and sit back to relax. 3. Read Reading a book forces you to concentrate your mind on something else like action, adventure, and romance instead of all the things going on in life. The University of Sussex found that reading reduced stress levels by 68%, and at a faster rate than other alternatives. 4. Music Like reading, listening to music makes you notice what you hear and how it makes you feel. Singing along with your favorite sing can also help release built up stress. Music is used in many ways. It is found to help reduce stress in hospital patients and help with depression. 5. Tense up and then relax Stress can take a toll on your body. It can cause your muscles to constantly be tense. One way to help relax these muscles is to work your way through all of the muscles in your body and tense them up as hard as you can and count to about 10. Then you relax each time for about 10-20 seconds. Take a deep breath in when you tense up and breath out when you relax. It leaves your body feeling loose and relaxed. 6. Meditation Studies on meditation show that making a habit of meditating can alter the brain to be more resistant of stress. Take fifteen minutes and sit somewhere comfortable. Concentrate on your breathing and think of a phrase that makes you feel good, then repeat the it in your head or out loud and let your body relax. 7. Sleep schedule Getting the proper amount of sleep in extremely important when trying to lead a stress free life. The recommended amount of sleep is 7-8 hours a night. It gives your body enough time to recuperate without oversleeping. If you find you can't fall asleep, go to youtube and look up sleep whisperer. People have found that listening to the soothing sounds have helped cure their insomnia. Complied and Photo by Emily Daily, Reporter Sometimes the best way to relax is to get a goodnight sleep. Sleep is important to keep your body rested and functioning. We asked 77 students how much sleep the get on average during the school week. My destressor is sleep and tv. ~ Cam Carr, junior My destressor is sleep.~ Rachel Cambell,junior My destressor is listening to music and relaxing in bed.~ Cass Hatten,junior o to sleep.~ Trey Hudock,junior Complied by Johnny Saunders, and Korben Repko, Reporters


The High Post

12• Features

Roadshow Tour Sounds on Emotion

Emily Daily, Reporter “I bet you never thought you would see the day that Third Day and Skillet headlined on tour together,” said Third Day’s frontman, Mac Powell. The two bands draw such different crowds and play with different intensities, yet they came had come together on the Rock & Worship Roadshow 2014 to spread their “message” of love for all others. Along with the headliners, the lineup included grammy winning Mandisa, the Newsboys’ Peter Furler, Brandon Heath, and Christian rock band We As Human who all believed in that same message. These bands ranged in styles of music just as much as the crowd did in people. Fans ranged from young junior rockers, who danced and sang along with great amounts of spirit, to senior citizens, who swayed with the rhythm, and every age in between. The announcer, a pastor from Ohio, spoke passionately to the crowd of almost five thousand people about love, worship, and the power of music. He introduced the bands and got serious to talk about the Roadshow charity. This year the tour joined up with Food for the Hungry, that allows individuals to sponsor a hungry child and for $35 a month you help them get the meals that they need. Skepticism struck as people wondered if they were truly helping the child in their picture or not. After hearing the pastor’s story, any trace of doubt was gone. To prove the authenticity as to if he was really helping the child in his photograph or not, he called and scheduled an appointment to meet his sponsored child. He took the picture with him, but when he got out of the car he instantly knew that the boy in front of him was the one hanging on his fridge. Before he introduced the next band he explained an analogy about 100 people in a line representing the entire world population. If you have a car, the internet, or enough money to keep your fridge full for a week, you are in the top percent of the world’s most wealthy. “I ask you tonight for one thing, help me help all of the people at the back of the line,” said the pastor. Every three seconds a child at the back of the line will die of hunger, Food for the Hungry helps those children have a chance. The

Roadshow Tour helps give more and more of these children a chance after every show. Third Day was the first headliner to play at the War Memorial in Johnstown. When Third Day came on, everyone was out of their seats and lively. Because of the close quarters of the arena and the hospitality of the band, the show felt down to earth and face to face. The lighting was purely stunning. Fog machines filled the arena with a thin haze that was hardly noticeable until the lights began to shine through. Beams of light stretched crisp and clear from the stage to the seats in the very back of the venue in every color imaginable. Lacey Sturm, the former singer of Flyleaf, made a special guest appearance to sing with Third Day live for the only third time. The fans in Johnstown that night truly got to see something unique. The two voices melted together into a beautiful harmony that was unforgettable. After Third Day serenaded the crowd, a small band of three came out to the tip of the catwalk and set up a guitar, a microphone, and a mini drumset. Even though it was small an explosion of sound reverberated off of every wall. Their drummer knew how to make the most of his small drums. Which sounded like he was playing a full set of drums not just a single symbol, snare, and bass. Skillet ran out full of energy and life with smoke and lights shooting up into the dome. Without a second to waste, guitars were screeching, drums were beating, and the bass echoed in your chest as they began to play their new song, “Hero.” Shirts were vibrating from the sound and you could feel it in the ground, in your chest, and you could even see when the crowd and the lights pulsed with the beat. Throughout Skillet’s set, they played new singles and old favorites. The show they put on was amazing but it was nearly song for song as their lineup for Carnival of Madness. Even with the exact same lineup, I would go see them time after time. I went to this concert solely to see Skillet, but what I found was so much more. They were a giant family of strangers sharing their beliefs and helping others. It was great to see how music can bring people together to do astounding things.

Marcus Morelli Shares his Vision of Passion Using Film

Erika Kellerman, Reporter “Do what you love, love what you do.” said Marcus Morelli, a filmmaker right out of Latrobe. For most people, hobbies don’t become more than hobbies in their lifetime. Morelli had discovered his love of film in the ninth grade when he “messed around” with a camera and shot a parody film called “Gorrest Fump” with his friends. Morelli said that he had always loved film, Spielberg being one of his biggest inspirations for his films later on. His hobby would later evolve into a passion that would lead him to Youtube to broadcast his short films to the world. Youtube allows ordinary people to upload and watch videos. The majority of users have little to no experience with video making and editing. Everything is either self taught, learned through other users’ videos, or learned through courses at college. Marcus Morelli is a self-taught filmmaker. He graduated from GLSHS and attended Shippensburg for journalism. Morelli has over twenty two thousand subscribers and on his Youtube channel, (Skene19films) but says that it doesn’t define him. Morelli specializes in comedy and music videos. He has done a few for the rising band, Lovebettie. Morelli has done numerous commercial endorsements for different companies, such as Nemacolin (where he met Troy Polamalu). Morelli is an advocate for others to teach themselves how to film, edit, and do things cinematically without the help of a degree. It’s all about clicking on a “How To” video. He says that Youtube “is a filmmaker’s best friend.” Morelli’s filmmaking has evolved from his early years on Youtube. At first, he was reluctant to joining the

site. He says that without Youtube, he wouldn’t be the filmmaker that he is today. Youtube gives him “instant gratification,” and keeps him motivated during and between projects. Olan Rogers and The Lonely Island are two of his favorite Youtubers that constantly keep him laughing and motivated. Olan is another self taught Youtuber. The Lonely Island was one of the first people that Morelli subscribed to. Morelli likes to work alone on projects. “You must be able to adapt,” he said. Morelli likes to be apart of his work from start to finish. He is the writer, producer, director, and editor of all of his work. He says that he likes working with crews he had worked with in the past, but others also can slow him down. When he has a vision, he wants it to stay his vision from start to finish. Morelli pays attention to the world today very closely. He can’t stand reality tv such as the show Keeping Up with The Kardashians. He says that “it’s completely diluted and that there’s too much entitlement that comes from it. They screw with people’s perspectives of the world.” He pays attention to the concept of this generation’s mind. Filmmaking is a business and within that business, one has to pay attention to what people are listening to and watching. This makes film more marketable when it’s relatable to a certain demographic. Film is a fast paced and growing job field. It isn’t recommended for everyone, but for those who have “motivation and creativity” those who “do not fear failure, and those who can take criticism” are the ones who can make it in the industry, describes Morelli. Morelli’s parents were always supportive and approving of his dream to to pursue film as a career. He’s one of the lucky ones. He says that

judge a book by it’s cover.” Lloyd, 20, is a british pop singer straight out of the United Kingdom. Her sparkly outfits and two toned hair is deceiving because she is more than what meets the eye. Back in 2010, when Lloyd was on the X-Factor, no one expected the 5’ 2” singer to have that voice that blows everyone away. Big, loud, and proud are three ways to describe it. April 1, may have been April Fool’s Day, but Lloyd’s performance was no joke. Lloyd lit up the stage in Pittsburgh, produced by Brian Drusky of Drusky Entertainment, and put on an intimate show of a lifetime. Her girl-power attitude and spitfire personality won the hyped up crowd over by the time her first song “Swagger Jagger” had ended. She has a genuine and unique spark about her. She danced across the stage and had every single person in their seats standing up,and screaming their hearts out. Every so often, Lloyd would share stories that inspired her feminist lyrics and reasons behind her success. This portrayed Lloyd as a truly real person and reminded the audience that musicians and artists are in fact real people, not just inspirations, idols, or mundane beings portrayed by the media. Lloyd shared two new particular songs that made people listen. The songs based around her father and recently wed husband based around the theme of “missing home.” It was something the

leave home at some point in our lives. The lyrics left everyone quiet, thinking about Lloyd’s emotion broadcasted through the stereos of Carnegie Music Hall’s auditorium. As Lloyd broke down in the middle of her father’s song, it hurt to see her so vulnerable. She is such a lively and bubbly spirit that leaves everyone with a smile on their face. The ballad created a calm and peaceful atmosphere that was soon transformed into a party scene once again with a loud and proud new song titled “M.F.P.O.T.Y” Lloyd is not only emotional and independent, but she is also passionate. She really put her heart and soul into each song. It was like she was singing them for the first time each time. Lloyd was enthusiastic and had a dazzle in her eye that made her seem almost in awe at times. She is “here [on stage] for a reason, and that reason is because I am most comfortable right here. I love being here.” Cher Lloyd is definitely not the ‘Bubble Gum Princess’ that she used to be. She has evolved her image through hard work and dedication to performing that she’s valued since the beginning of her career. Her new album Sorry I’m Late , released on May 27, is full of powerful ballads, upbeat girlpower songs, and party tunes that is sure to leave everyone satisfied. Erika Kellerman, Reporter

Cher Lloyd Rocks out at Carnegie Mellon’s Music Hall Cher Lloyd is the definition of the phrase “don’t audience could relate to, being that we all have to


The High Post

News •13

Athletic Complex Nearing Completion

Rossi Field, the center of the complex, has been in use since the fall, especially from the boys and girls lacrosse teams. Work on the press box area and grandstand will finish the project.

The fieldhouse is located between Rossi Field and the baseball and softball fields. The fieldhouse includes a state of the art weight room, film room, and numerous locker rooms for different teams.

The Rossi Field grandstand, press box, and concession stand are right behind the Greater Latrobe Senior High. Access the seats and concession via the field and from a new entrance behind the school.

The tennis courts are completely new and now include a fifth court, which enables a complete varsity match to occur at the same time.

The softball and baseball fields located behind the junior high have been completed and have been practiced on this spring.

The basketball court and putting green are still works in progress. Upon completion, a new facet of the complex will be a unique addition to the “campus” at GLSD. Compiled by Connor Belak, Editor


Sports • 14

The High Post

Lessons Learned in the Heat of Competition

Johnny Saunders, Reporter To the casual fan, sports are enjoyed as a momentary diversion. To them, only the final scores matter. These fans may consider success as something that can be easily measured as simply in wins and losses. However, to the athlete, the game takes on a much larger role - a lifetime role in which valuable lessons are learned on a daily basis. TEAMWORK. In many aspects of life, teamwork is needed for success. You can’t be a successful company or team with just one player. It takes cooperation with multiple individuals that come together as one to reach the same goal in mind. Success. In sports, it is necessary to work together to win games and become a better team. Without this, a team of individuals will only be individuals doing their own thing, with no one on the same page. Whereas with teamwork, chemistry is developed. Chemistry is the “creation of the bonds between players that can meaningfully separate them from their competition” according to Phil Jackson - nine-time NBA champion as a head coach. With the right chemistry, the players have confidence and trust in teammates which create the formula of success. WORK ETHIC. In order to achieve success and to achieve greatness in anything, a player must sacrifice time to be successful. The athlete has to be able to put extra work in, time after time after time again. You have to do whatever it takes in sports, in order to be great you have to sacrifice. Through sports, a team player knows what good work ethic is to achieve success. It’s a good preview to prepare for the future in how hard you need to work, whether for school or a job, you have that drive and determination to “go get it.” Head coach of the boys basketball team, Brad Wetzel said, “Successful people aren’t necessarily successful athletes, but [athletes] had great work ethic and were great people.” So much is learned from being a “student” of the game regardless of ability.

RELATIONSHIPS. Being a member of a team allows for the creation of strong relationships. Families are built over the season(s) by working together day in, day out, in wins and in losses, through the rainstorm and on sunny days. The more time spent with teammates, the more a special bond is created. Great teams realize how special each person on the team is and how important each individual is to the team’s performance. They care about them. They want them to succeed as well. Families fight together to keep moving forward to achieve success. Not only in sports is the family developed in season, but these relationships create a lasting effect on the team. Your teammates will always be your “family,” always being there. ADVERSITY. “A true measure of a man is how he handles adversity.” Said Bill O’Brien, head coach of the Houston Texans, said when he took the Penn State head coaching position. One learns in sports, accepting defeat isn’t easy but it is necessary to accept it as a learning lesson with motivation to move on. Defeat applies in life as well. If something isn’t going north, you cannot let it go south. You must be able to accept the adversity and move forward and get better. Defeat is not crippling, but a learning experience. Nobody can win every battle in sports, the same as you can’t win every battle in life. “Successful players fail a lot,” Wetzel said. “There is room for failure in sports, and there’s a venue to get back up.” It’s not about how hard you get hit, it’s about getting back up after taking a beating.” Sports is for sure a microcosm of life, but between the lines much more goes on than a win or loss. Life lessons are being taught every day and in every game. Without sports, life would still go on but there is a lot of loss without it.

Latrobe Spring Sports Learn Lessons

Team Work Before the game starts, the team meets together in order to focus on the game.

Adversity Garrett Kollar consults his teamates to reenergize after losing their first match. The Wildcats went on to defeat Penn Trafford.

Work Ethic Senior Nathan Carota and prepares for the next match against Penn Trafford. On Tuesday April 8, girls lacrosse defeated Ellis with a score of 14 to 11. Last year Greater Latrobe and Ellis shared the section title, each winning one game against each other.

Relationships The volleyball team joins together to pump the varsity team up before they play Penn Trafford.


The High Post

News •15

Vietnam students travel to holocaust musuem in d.c. Johnny Saunders, Reporter There are only a handful of experiences in life that you will never forget, and for students in Mr. Wetzel’s Vietnam class in both semesters, they got that experience. On March 27, the students along with few teachers and their kids made the trip to Washington D.C. with five Vietnam veterans a couple other current servicemen of our armed forces. “It was nice for everyone of different ages to be on this trip,” Mr. Wetzel said, who has gone on this trip numerous times. In class, the students were to pick a fallen Vietnam soldier whose name would be on the Vietnam wall. They were suppose to get as much information as possible on their soldier then bring them to life, etching their name off the wall. “There are so many benefits to gain from it,” said Mr. Wetzel. “It’s good for students to see the sacrifice up close, to see 58,000 names up close,” Wetzel is referring to the 58,267 names on the the black granite Vietnam wall. “The names would become the memorial,” said Maya Ying Lin, the mastermind and designer of the wall. Another special moment from this trip is going to Arlington National Cemetery and visiting the “Tomb of the Unknown Soldier”. “It’s Important to see the ceremony of the changing of the guard at Arlington National Cemetery. We’ll defend an unknown soldier with such a precise military drill.” According to their website, Arlington is one of the country’s oldest national cemeteries. The cemetery is the final resting place for more than 14,000 veterans, including those that fought in the Civil War. At

the tomb, Members of the 3rd U.S. Infantry Regiment - “The Old Guard” - have guarded the Tomb of the Unknown Soldier every second, of every day regardless of weather or holidays since April 6, 1948. It is considered to be the highest military honor.

This trip is even more special due to the fact that there are Vietnam veterans go on the trip. “The Vietnam veterans benefit tremendously. Just seeing the thanks from our students, and other students,

at the wall and in D.C generally. These men were the only veterans who didn’t come back from war to any thank yous or gratitude from the war.” “Its better late than never,” Wetzel continues. “They get to see we get to appreciate their service to their

sacrifice to not only to the ones who died, but those veterans that still have the scars of war that run deep as well. The price they paid being away from their families.” “Its important enough for people to support it and it’s the least we can do and show the respect the men deserve. Those veterans recognize the gratitude and respect we give them and the respect we demonstrate at the wall. They feel like the future is in good hands for those who respect the past that much,” said Wetzel. This trip is not possible without the help from different companies or groups, considering this trip is not school funded. “We continue to make it happen,” said Wetzel. “Every year it seems someone does something big.” This year, Myers coach lines cut their expenses in half, Carpenters Care gave $1000, Tom Hinger- a medic who served in Vietnam from Latrobe who is also from the book, “They Marched into Sunlight”, heard about it. Hinger and his buddies hear about it and it’s important to them that this trip happens. “People hear about the trip and they want to help,” said Wetzel. “This can’t be measured by a test or how important a project is. It has a grade but it is much more important and deeper,” said Wetzel. The trip is a very important part to class, not as a grade like Wetzel mentioned, but as an experience only a handful at Latrobe get to experience each year. An experience that will never be forgotten and a better insight for their future for the rest of their lives.


The High Post

16• News

NHS Students Make Memories in Chicago

NHS trip chaperones Mr. Savekis and Mr. Ferraro enjoy a teacher moment at the Navy Pier along Lake Michigan. The Navy Pier is Chicago’s hottest tourist attraction.

Seniors Emma Silvas and Molly Yesho particapate in an interactive display at the U.S. Federal Reserve in Chicago. The Federal Reserve Bank in Chicago is one of twelve across the United States.

Seniors Lauren Takich and Erin Wilt take in nature and good times at the Navy Pier Park in Chicago.

Senior Miko Reyes dines like a knight at the Medieval Times festival. However, he seems overly interested in his meal, disregarding the life-like reenactment of a medieval jousting ceremony. Regardless of the bitter cold weather in “The Windy City” Seniors Danielle Charbenau and Logan Semnisky are all smiles on the Wendella Tour. NHS students departed from Wendella Dock for a tour of Chicago’s architecture from the waters of the Chicago River and Lake Michigan, unfortunately bad weather conditions and unsafe waters kept the tour on the river.

Senior Maddie Wilson hits the jackpot at the US Federal Reserve in Chicago. Students toured the Money Musuem where they learned about the resposiblities and operations at the bank.


The High Post

Features • 17

Students Stand Strong after Tragic Losses

Frankie Piper, Reporter I was at work when I heard the fire sirens going off, firetrucks racing to their destination, and a call from my little sister saying that the apartment complex our home was built into was on fire. As we watched our memories burn up with the house, friends surrounded us with love and comfort promising to replace everything they possibly could. As my sister and I thought this was the end, the junior high held a clothing drive, Red Cross offered gift cards to replace lost items and housing for as long as needed, and Saint Vincent De Paul offered to replace our furniture. We realized it wasn’t the end, but only a new beginning. Not only were these individuals and organizations so quick to help my family, but they are always quick to help others, too.

Tragedies are an unfortunate reality of life, eve when you are a student and have to go through it. As a Greater Latrobe student, what is your advice to those who are grieving? “My advice is to talk to somebody about it, weather be a friend or a counselor or whatever. Just sort out your feelings because it’s so much better to not keep everything bottled up.” Sadye Brant, Sophomore

Everywhere in the world, tragedies happen every way to help, such as organizing clothing drives “To stay strong and a bad day doesn’t make a single day. Whether a natural disaster, a car acand giving monetary donations. Red Cross in bad life” Skylea Burrow, Sophomore cident, a suicide, a drug overdose, or a house fire, Greensburg donates gift cards to assist in replacing tragedies happen. A fire can burn holes in people’s clothes and household items. Not only that, they “Being alone makes everything worse so surlives that take time to heal. Even if the wounds also organize where the family will stay for the next round yourself with your friends” start to mend a little bit, scars will remain which few days, maybe even the next few weeks. “My do, in time, build character. house burned down two days before Christmas, Maura Miller and Gianna Onorato, Juniors Latrobe students have suffered from disastrous 2012,” said Sydney Nix. “Even though it was four house fires that consumed everything they knew in the morning,” she explains. “Within minutes, “I can’t give advice. Everyone grieves differently. all their lives and left scarred remnants. my neighbors were outside helping us get out You just have to stay positive as hard as it is” Memories shared with family and some of our stuff. The days following the Hiram Neorenzio, Senior “It kinda friends, personal belongings, and fire, strangers would come over and give made me look the security of being able to us stuff like cookie trays, cards, money, at the bright side and blankets.” Neighbors and friends sleep comfortably in your own Rest in Peace of things. We could come together to help rebuild. A new bed quickly engulf in flames. Thankful attitudes can turn have lost someone, beginning is always waiting, more so the disastrous situation from a but we didn’t. So, it’s a new chapter. July 15, 1997-April 10, 2013 near-fatality into a new beginnot the end of the “It kinda made me look at the bright Understood by few, loved my many. ning. side of things. We could have lost Always the one to love you too. world” Senior Rachel Berger’s house someone, but we didn’t. So, it’s not A giant smile, a very big heart, Amber Beaken the end of the world,” said Amber caught fire when she was a always the one to be a friend a while. sophomore babysitting her sibBeaken whose house fire destroyed her lings. She managed to get them to home in the early hours of Thursday, She laughed a lot, joked all the time. safety before any harm was done. “My March 20, 2014. Constantly singing and dancing to Sublime. A flower child, a friend to all, neighbors took them across the street until the fire “I was really thinking about my chameleons, my always there to pick you up when you fall. department came,“ said Berger. sister was screaming at me to stay outside but they “The fire had already grown so large that it was mattered to me,” said Beaken. There was always a sparkle in her bright blue eyes, melting my neighbors siding,” she said. Berger “I’m still kinda in shock. I hate driving by 309 like a ray of sunshine in the skies. thought of her “family members” that she wanted Spruce Street. When we drive by I say, ‘Can you to rescue as the fire took over the house. smell the fire? Can you smell it?’” Beaken is trying She never wanted to grow old “I ran inside one last time to get my dogs. As I to come to grips with the life-changing event that and the way she went, picked them up, the glass on the door exploded happened just three weeks ago. pain untold. from the fire and smoke began to flood inside. I When being strong is all you have left to be, it Leaving us at the age of 15-years-young, made it out the back door safely and I was lucky helps the families that fall victim to house fires pull There’s no explaining how badly the heartache stung. to be alive,” said Berger. Many are lucky not to together a little bit more and help each other heal. have lost loved ones or animals in a fiery inferno. It helps a community member realize that the caThe feelings are strange, A home and clothes are replaceable, and you can lamity is just a bump in the road of life, an experilike no sunshine on a cloudy day. make new memories, but you cannot replace ence that will change views on life to the brighter people. In a family’s time of need, the community things, and will build character to the fullest. A daughter, a sister, a best friend to the end. comes together to help support the family in any Look over us, angel, until the day we meet again. way, shape, and form. Schools will go out of their

Sarah Jane David


18• Features

The High Post

Break 2 g 0 n rSp i 14 Since April 2012, Greater Latrobe School District has participated in a prolonged spring break. In prior years spring break began the Friday before Easter and ended either Monday or Wednesday depending on the amount of snow makeup days needed. In the past years the length of break nearly doubled. This year six school days were allotted for spring break but due to the mass amounts of snow that was received this winter, one of the days is being revoked and school will be in session. Although classes will not be held throughout the spring recess, school sports, work, and homework, will hinder the enjoyment and freedom of having a break. Photo by Connor Belak, Editor

Do you mind having a spring break? Or What are you looking forward to the most An ideal vacation spot with no would you rather get out a week earlier? over spring break? limitations...

“I love having the break, but I would also be okay with getting “Sleeping in past 4 A.M! And also spending time with my famout of school a few days earlier, I am very indecisive.” Mrs. ily.” Ms. Aaron, Teacher Echard, Teacher “Slowing down a bit and getting organized with school and “Although having a spring break is nice, I would much rather track. Oh, and doing my taxes!” Dr. Wnek, Teacher skip the break and just get out a week earlier. Being in school through April is much better than having to be in school in “Not coming to school.” Alyssa Rock, Sophomore the middle of June.” Kaitlyn Davis, Junior “Catching up on some sleep, and enjoying the weather.” Jessica “I love spring break, but this year how we have to make days Dull, Senior up, I rather take spring break away and get out of school earlier. Especially being a senior.” Megan Smolleck, Senior “Spending time with Friends.” Monica Hanula, Sophomore “I don’t care for spring break, we should get out earlier in my “I really want to hunt for Easter eggs.” Levi Boring, Junior opinion.” Anthony J. Plummer, Sophomore “I am looking forward to opening my Easter basket.” Jake Har“I love the idea of a spring break, but at the same time it ris, Junior means less summer. Having a break can be fun though, especially with warm weather.” Shelby Cobrando, Sophomore “Playing games with my friends.” Pat Fetter, Junior “I like a few days off for Easter, but I prefer to shorten spring break and get out a few days earlier.” Mr. Snyder, Teacher “I would rather get out a week earlier. Having a larger summer is better then a week during spring break.” Niki Kusy, Senior “I like having a spring break because there is no days off after Christmas break.” Sydney Nix, Senior

“Spending time with my family.” Sarah McCampbell, Senior “Being able to sleep in and hanging out with my friends.” Mat Seremet, Senior “Going fishing and camping.” Amber Beaken

Compiled by Emily Daily, Kayla Murphy, and Korben Repko, Reporters

“Even though I have been there plenty of times, my ideal vacation spot is Disney World. It’s always been one of my favorite places, but this time I would go with a group of friends.” Paige Hemminger, Junior “Going to the Grand Canyon with my Dad because it is something that he always wanted to do.” Dylan Christoff, Senior “I would travel to Austria, Germany, Italy, and England. I’d bring my husband, my siblings and their spouses, my husband’s siblings and their spouses, and our parents. I’d love to show them where I lived and what I love about Austria and Germany. I’d also like to do some genealogy work in Italy and England.” Frau Roy “My best sport would be Europe. You can visit many countries. I’d travel with friends.” Eli Norman, Sophomore. “I would go to Italy just to walk the streets and take in the beautiful scenery.” Megan Smetanka, Senior “My ideal vacation spot would be Alaska. I would take a couple of friends.” Katie Slivko, Senior “My ideal vacation spot would be in the middle of a big city bustling with activity. There’d be so much to explore and do there. I’d bring my brother and most trusted friends with me.” Tim Squier, Junior “I would travel to Hawaii to sit on a beach and relax all day long with no one to bother me.” Andrew Zundel, Senior


The High Post

Features •11

Paw Prints

Greater Latrobe High School

kaitlyn muchnock

Mrs. pompelia

Childhood Hero: My dad.

Childhood Hero: My Mother

Celeb Crush: Liam Hemsworth

Celeb Crush: Tom Hanks

Pick One:

Pick One: A.) Bob Marley - Always makes me think of Jacob Marley in Dickens’ “A Christmas Carol” B.) Michael Jackson - I thought he died.. c.) Tupac - I hate rap music… D.) Biggie Smalls -I hate rap music…

teacher

Junior

aj plummer

SOPHOMORE

AJ Plummer - Sophomore

A.) Bob Marley B.) Michael Jackson C.) Tupac D.) Biggie Smalls None, Luke Bryan Favorite memory from your childhood: Getting my Barbie Jeep for my 6th birthday.

Childhood Hero: Ted Nugent Celebrity Crush: Carrie Underwood

Favorite Thing about Latrobe: I mostly everyone.

Pick One: A.) Bob Marley B.) Michael Jackson C.) Tupac D.) Biggie Smalls E.) Waylon Jennings

Are you looking forward to Summer time: Why? Going to concerts and tanning! Because going to concerts are always crazy and fun and I love just laying in the sun.

Quality over Quantity? Quality

senior

Quality over Quantity: Quality One Super Power You Wish You Had: The ability to fly.

Favorite Memory of your childhood: Driving with my dad.

nathan hill

Favorite Childhood Memory: Family Vacations at the lake.

Childhood Hero: None

Quality over Quantity ? : Quality - without a doubt !

Celeb Crush: Lisa Ramos

One Super Power You Wish You Had : To give all of my students an appreciation and understanding of math, especially calculus.

Pick One: A.) Bob Marley B.) MIchael Jackson C.) Tupac D.) Biggie Smalls Favorite memory from your childhood: Fishing . Quality over quantity?: Quality.

One Super Power You Wish You Had: Super Human Strength

Super Power: To be able to breathe under water.

Favorite Thing About Latrobe: Nothing, School Sucks.

Favorite thing about Latrobe: The Nature.

Are you looking forward to summer time, why? Yes, so I can get working again.

Are you looking forward to summer? why? : Because I won’t be in school anymore.

Favorite Thing About Latrobe: The People Are you looking forward to summer time? Why? Yes, to spend time with my family.


“Spring is the time of plans and projects.”-Leo Tolstoy

Volume 91 Issue 11  
Read more
Read more
Similar to
Popular now
Just for you